List surfaces
curl --request GET \
--url https://app.ilitylabs.com/v1/surfaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/surfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/surfaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "web",
"name": "<string>",
"config": {},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"base_url": "<string>",
"name": "<string>",
"environment": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"summary": {
"score": 123,
"band": "green",
"has_blocking": true,
"open_count": 123,
"pages_discovered": 123,
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"previous_scan_at": "2023-11-07T05:31:56Z",
"first_scan_at": "2023-11-07T05:31:56Z",
"open_delta": 123,
"pages_delta": 123
},
"attention": {
"reason": "never-scanned",
"score_delta": 123,
"new_issue_count": 123,
"blocking_issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blocking_issue_number": 123,
"blocking_opened_at": "2023-11-07T05:31:56Z",
"failed_scan_count": 123,
"latest_error": "<string>"
}
}
],
"next_cursor": "<string>",
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}Surfaces
List surfaces
Lists the workspace’s surfaces with each one’s score, open issue count, and last scan.
GET
/
v1
/
surfaces
List surfaces
curl --request GET \
--url https://app.ilitylabs.com/v1/surfaces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/surfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/surfaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "web",
"name": "<string>",
"config": {},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"base_url": "<string>",
"name": "<string>",
"environment": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"summary": {
"score": 123,
"band": "green",
"has_blocking": true,
"open_count": 123,
"pages_discovered": 123,
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"previous_scan_at": "2023-11-07T05:31:56Z",
"first_scan_at": "2023-11-07T05:31:56Z",
"open_delta": 123,
"pages_delta": 123
},
"attention": {
"reason": "never-scanned",
"score_delta": 123,
"new_issue_count": 123,
"blocking_issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blocking_issue_number": 123,
"blocking_opened_at": "2023-11-07T05:31:56Z",
"failed_scan_count": 123,
"latest_error": "<string>"
}
}
],
"next_cursor": "<string>",
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}